<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
if ($user['level']<4)
{
$set['title']='Ошибка';
include_once '../sys/inc/thead.php';
title();
aut();
echo "У вас нету прав доступа к этой странице!";
echo"<div class='foot'>\n";
echo"<a href='/index.php'>Назад</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
exit();
}
if (isset($_GET['dir']) && is_numeric($_GET['dir']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_dir` WHERE `id` = '".intval($_GET['dir'])."'"),0))
{
$dir=mysql_fetch_array(mysql_query("select * from `present_dir` where `id`='".intval($_GET['dir'])."';"));
$set['title']="Подарки-$dir[name]";
include_once '../sys/inc/thead.php';
title();
aut();
if (isset($_GET['add']) && isset($_POST['prise']) && isset($_FILES['file_f']) && preg_match('#\.#', $_FILES['file_f']['name'])  && isset($_POST['name']))
{
$name=mysql_real_escape_string($_POST['name']);
$prise=intval($_POST['prise']);

$file=esc(stripcslashes(htmlspecialchars($_FILES['file_f']['name'])));
$ras=strtolower(eregi_replace('^.*\.', NULL, $file));
if (!imagecreatefromstring(file_get_contents($_FILES['file_f']['tmp_name'])))$err='Неправильный файл';
//if (strlen2($name)<0)$err='Короткое название';
//if (strlen2($name)>128)$err='Длина названия превышает предел в 128 символов';

if (!isset($err))
{
$url='';
mysql_query("INSERT INTO `present_list` (`name`, `url`, `prise`, `id_dir`) values('$name', '$url', '$prise', '$dir[id]')");
echo"".mysql_error()."";
$file_id=mysql_insert_id();
copy($_FILES['file_f']['tmp_name'], H.'present/podarki/'.$file_id.'.'.$ras.'');
@chmod(H."present/podarki/$file_id.$ras",0777);
mysql_query("UPDATE `present_list` SET `url` = '/present/podarki/$file_id.$ras' WHERE `id` = '$file_id'");
msg('Подарок добавлен');
header("Location: ?dir=$dir[id]");
}
}
elseif (isset($_GET['set']) && isset($_POST['prise']) && isset($_POST['url']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id` = '".intval($_GET['set'])."'"),0) && isset($_POST['name']))
{
$name=mysql_real_escape_string($_POST['name']);
$url=mysql_real_escape_string($_POST['url']);
$prise=intval($_POST['prise']);

//if (strlen2($name)<0)$err='Короткое название';
//if (strlen2($name)>128)$err='Длина названия превышает предел в 128 символов';

if (!isset($err))
{
mysql_query("UPDATE `present_list` SET `name` = '$name', `url` = '$url', `prise` = '$prise' WHERE `id` = '".intval($_GET['set'])."'");
echo"".mysql_error()."";
msg('Изменения приняты');
}
}
elseif (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id` = '".intval($_GET['del'])."' && `id_dir` = '$dir[id]'"),0))
{
mysql_query("DELETE FROM `present_list` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");
msg('Удалено');
}


err();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id_dir` = '$dir[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";


if($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Подарков в категории нету<br />";
echo "  </td>\n";
echo "   </tr>\n";
}

$res = mysql_query("select * from `present_list` WHERE `id_dir` = '$dir[id]' ORDER by `id` DESC LIMIT $start, $set[p_str];"); 
while ($post = mysql_fetch_array($res)){
echo "   <tr>\n";
echo "  <td class='p_m'>\n";
echo "<img src='$post[url]' alt='' /><br />\n";
echo "Ссылка: $post[url]<br />\n";
echo "Цена: $post[prise]<br />\n";

echo "[<a href='?dir=$dir[id]&amp;del=$post[id]&amp;page=$page'>Удалить </a> / ";



if (isset($_GET['set']) && $_GET['set']==$post['id'])
{
echo "<form method='post' action='?dir=$dir[id]&amp;set=$post[id]&amp;page=$page'>\n";
echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"$post[name]\" /><br />\n";
echo "Адрес подарка:<br />\n<input type=\"text\" name=\"url\" value=\"$post[url]\" /><br />\n";
echo "Цена:<br />\n<input type=\"text\" name=\"prise\" value=\"$post[prise]\" /><br />\n";
echo "<input value=\"Применить\" type=\"submit\" />\n";
echo "</form>\n";
echo "<a href='?dir=$dir[id]&amp;page=$page'>Отмена</a><br />\n";
}
else
echo "<a href='?dir=$dir[id]&amp;set=$post[id]&amp;page=$page'>Изменить</a>]<br />\n";
echo "  </td>\n";
echo "   </tr>\n";

}
echo"</table>";
if ($k_page>1)str("?dir=$dir[id]&amp;",$k_page,$page); // Вывод страниц




echo "<form method='post' enctype='multipart/form-data' action='?dir=$dir[id]&amp;add'>\n";
echo "Название:<br />\n<input type='text' name='name' value='' /><br />\n";
echo "Цена подарка:<br />\n<input type=\"text\" name=\"prise\" value=\"\" /><br />\n";
echo "Подарок:<br />\n<input name='file_f' type='file' /><br />\n";
echo "<input value=\"Добавить\" type=\"submit\" />\n";
echo "</form>\n";




echo"<div class='foot'>\n";
echo"<a href='?'>Категории</a><br />\n";
echo"</div>\n";
include_once '../sys/inc/tfoot.php';
}

$set['title']='Категории';
include_once '../sys/inc/thead.php';
title();
aut();


if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name']!=NULL)
{
$name=mysql_real_escape_string($_POST['name']);

if (strlen2($name)<2)$err='Короткое название';
if (strlen2($name)>128)$err='Длина названия превышает предел в 128 символов';

if (!isset($err))
{
mysql_query("INSERT INTO `present_dir` (`name`) values('$name')");
echo"".mysql_error()."";
msg('Категория добавлена');
}
}
elseif (isset($_GET['set']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_dir` WHERE `id` = '".intval($_GET['set'])."'"),0) && isset($_POST['name']))
{
$name=mysql_real_escape_string($_POST['name']);

if (strlen2($name)<2)$err='Короткое название';
if (strlen2($name)>128)$err='Длина названия превышает предел в 128 символов';


if (!isset($err))
{
mysql_query("UPDATE `present_dir` SET `name` = '$name' WHERE `id` = '".intval($_GET['set'])."'");
echo"".mysql_error()."";
msg('Категория изменена');
}
}
/*elseif (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `present_dir` WHERE `id` = '".intval($_GET['del'])."'"),0))
{
mysql_query("DELETE FROM `present_dir` WHERE `id` = '".intval($_GET['del'])."' LIMIT 1");
mysql_query("DELETE FROM `present_list` WHERE `id_dir` = '".intval($_GET['del'])."'");
msg('Удалено');
}*/


err();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `present_dir`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Категорий пока нету<br />";
echo "  </td>\n";
echo "   </tr>\n";
}

$res = mysql_query("select * from `present_dir` ORDER by `id` DESC LIMIT $start, $set[p_str];"); 
while ($post = mysql_fetch_array($res)){
echo "<tr>\n";
echo "  <td class='icon14'>\n";
if ($post['icon']!=NULL)echo "<img src='/style/present/$post[icon]' alt='' />";
else
echo "<img src='/style/themes/$set[set_them]/loads/14/dir.png' alt='' />\n";
echo "  </td>\n";
echo "  <td class='p_t'>\n";
echo"<a href='?dir=$post[id]'>$post[name]</a>  (".mysql_result(mysql_query("SELECT COUNT(*) FROM `present_list` WHERE `id_dir` = '$post[id]'"),0).")<br />";
echo "  </td>\n";
echo "   </tr>\n";
echo "   <tr>\n";
if ($set['set_show_icon'])echo "  <td class='p_m' colspan='2'>\n"; else echo "  <td class='p_m'>\n";
//echo "<a href='?del=$post[id]&amp;page=$page'>Удалить</a><br />\n";

if (isset($_GET['set']) && $_GET['set']==$post['id'])
{
echo "<form method='post' action='?set=$post[id]&amp;page=$page'>\n";
echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"$post[name]\" /><br />\n";
echo "<input value=\"Применить\" type=\"submit\" />\n";
echo "</form>\n";
echo "<a href='?page=$page'>Отмена</a><br />\n";
}
else
echo "<a href='?set=$post[id]&amp;page=$page'>Изменить</a><br />\n";


echo "  </td>\n";
echo "   </tr>\n";
}
echo"</table>";
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц


echo "<form method='post' action='?add'>\n";
echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"\" /><br />\n";
echo "<input value=\"Добавить\" type=\"submit\" />\n";
echo "</form>\n";



include_once '../sys/inc/tfoot.php';

?>